# ---------------------------------------------
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corporation 2021-2023
# ---------------------------------------------



function  acceptLicense {
echo "

1) I have read and agreed to the license agreements
2) Don't accept the license agreements"

read n
case $n in
 1) ./scripts/launchTransformationAdvisor.sh $1;;

 2) rm -rf ./.license_accepted
 exit ;;

 esac
 exit

}

function licenseType {

echo "View the licenses in the link below and select from the menu which license you are installing this product under"
echo ""
echo "https://www.ibm.com/docs/en/cta?topic=started-license-information"
echo ""

echo "------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"

echo "

1) IBM Cloud Transformation Advisor 3.9.0 (Evaluation) - L-HPDQ-NJ7AHL 
2) IBM WebSphere Hybrid Edition 5.1 - L-AMIK-C92MN6
3) IBM Cloud Pak for Integration 2023.2.1- L-YBXJ-ADJNSM 
4) IBM Cloud Pak for Integration Limited Edition 2023.2.1 - L-PYRA-849GYQ 
5) IBM Cloud Pak for Applications 5.2 - L-YQXD-3APM2Q 
6) IBM Cloud Pak for Applications Limited Edition 5.2 - L-KFEH-UFVCPM 
7) IBM WebSphere Application Server for z/OS 8.5.5 - L-CTUR-C7K3YZ
8) IBM WebSphere Application Server for z/OS 9.0.5 -L-CTUR-CBPUER"

read l

case $l in

1) touch ./.license_accepted
   echo "IBM Cloud Transformation Advisor 3.9.0 (Evaluation) - L-HPDQ-NJ7AHL" > ./.license_accepted;;
2) touch ./.license_accepted
   echo "IBM WebSphere Hybrid Edition 5.1 - L-AMIK-C92MN6" > ./.license_accepted;;
3) touch ./.license_accepted
   echo "IBM Cloud Pak for Integration 2023.2.1- L-YBXJ-ADJNSM" > ./.license_accepted;;
4) touch ./.license_accepted
   echo "IBM Cloud Pak for Integration Limited Edition 2023.2.1 -  L-PYRA-849GYQ" > ./.license_accepted;;
5) touch ./.license_accepted
   echo "IBM Cloud Pak for Applications 5.2 - L-YQXD-3APM2Q" > ./.license_accepted;;
6) touch ./.license_accepted
   echo "IBM Cloud Pak for Applications Limited Edition 5.2 - L-KFEH-UFVCPM" > ./.license_accepted;;
7) touch ./.license_accepted
   echo "IBM WebSphere Application Server for z/OS 8.5.5 - L-CTUR-C7K3YZ" > ./.license_accepted;;
8) touch ./.license_accepted
   echo "IBM WebSphere Application Server for z/OS 9.0.5 -L-CTUR-CBPUER"> ./.license_accepted;;

   esac

}
